unit fLookup;
================================================================================
*       Application:  Clinical Observations
*       Revision:     $Revision: 1 $  $Modtime: 10/05/06 10:18a $
*       Developer:      
*       Site:         Hines OIFO
*       Description:  Popup frame when doing a fileman lookup
*       Notes:
================================================================================
*       $Archive: /CP Modernization/CliO/source/TLookupFrame/fLookup.pas $
* $History: fLookup.pas $
 * 
 * *****************  Version 1  *****************
 * User: Vhaishpetitd Date: 10/05/06   Time: 1:04p
 * Created in $/CP Modernization/CliO/source/TLookupFrame
 * Initial Check-In
 *
================================================================================
interface
uses
  Windows,
  Messages,
  SysUtils,
  Variants,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  StdCtrls;
type
  TfrmLookup = class(TForm)
    lbx: TListBox;
    procedure lbxMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure lbxKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
  private
    { Private declarations }
  public
    procedure Populate(aList: TStringList);
    { Public declarations }
  end;
var
  frmLookup: TfrmLookup;
implementation
{$R *.dfm}
procedure TfrmLookup.lbxKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  if Key = VK_ESCAPE then
    ModalResult := mrCancel;
  if (Key = VK_RETURN) and (lbx.ItemIndex > -1) then
    ModalResult := mrOK;
end;
procedure TfrmLookup.Populate(aList: TStringList);
var
  i: integer;
begin
  lbx.Items.Clear;
  for i := 1 to aList.Count - 1 do
    lbx.Items.AddObject(aList[i], aList.Objects[i]);
end;
procedure TfrmLookup.lbxMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
  i: integer;
begin
  i := lbx.ItemAtPos(Point(X, Y), True);
  if i > -1 then
    begin
      lbx.ItemIndex := i;
      ModalResult := mrOk;
    end;
end;
end.
